<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/Vehicles/ActionAnimateSeats.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d90/_action_animate_seats_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionAnimateSeats.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d90/_action_animate_seats_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/db3/class_action_animate_seats.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/db3/class_action_animate_seats.html">ActionAnimateSeats</a>: <a class="code hl_class" href="../../de/d59/class_action_animate_car_selection.html">ActionAnimateCarSelection</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/db3/class_action_animate_seats.html#adebb1cbf46b21d160f7bc6b2cd8281ef">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/db3/class_action_animate_seats.html#adebb1cbf46b21d160f7bc6b2cd8281ef">ActionAnimateSeats</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#move_seat&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/db3/class_action_animate_seats.html#ae15fca61f3416608be716eb364ec90de">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/db3/class_action_animate_seats.html#ae15fca61f3416608be716eb364ec90de">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">if</span>( !target ) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">if</span>( !<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a>(player, target, <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>) ) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> targetObject = target.GetObject();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a> targetEnt = <a class="code hl_class" href="../../d2/d96/class_entity.html">Entity</a>.Cast(targetObject);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d3/d36/class_transport.html">Transport</a> transport;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_class" href="../../de/d59/class_car_script.html">CarScript</a> car;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordtype">int</span> crewIdx;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="comment">//string selection = targetObject.GetActionComponentName(target.GetComponentIndex());</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> selections = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        targetObject.GetActionComponentNameList(target.GetComponentIndex(), selections);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> ( !<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(transport, targetObject) )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(car, targetEnt) )</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; selections.Count(); i++)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                <a class="code hl_variable" href="../../de/d59/class_action_animate_car_selection.html#a9d4f0261e7081d9f18f5ccd5e305020b">m_AnimSource</a> = car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">GetAnimSourceFromSelection</a>( selections[i]) ;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>                <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/d59/class_action_animate_car_selection.html#a9d4f0261e7081d9f18f5ccd5e305020b">m_AnimSource</a> != <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                    <span class="comment">//return true; //TODO:: NEED A LINK BETWEEN SeatBack and seat with crew after that we can REMOVE the return</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <a class="code hl_class" href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a> vehCmd = player.GetCommand_Vehicle();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/d59/class_action_animate_car_selection.html#a9d4f0261e7081d9f18f5ccd5e305020b">m_AnimSource</a> == <span class="stringliteral">&quot;SeatDriver&quot;</span> )</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                        <span class="keywordflow">if</span> ( transport.CrewMember( <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.VEHICLESEAT_DRIVER ) )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                        <span class="keywordflow">if</span> ( !vehCmd &amp;&amp; car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;NivaDriverDoors&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                    <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../de/d59/class_action_animate_car_selection.html#a9d4f0261e7081d9f18f5ccd5e305020b">m_AnimSource</a> == <span class="stringliteral">&quot;SeatCoDriver&quot;</span> )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                        <span class="keywordflow">if</span> ( transport.CrewMember( <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.VEHICLESEAT_CODRIVER ) )</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                        <span class="keywordflow">if</span> ( !vehCmd &amp;&amp; car.<a class="code hl_function" href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">GetCarDoorsState</a>( <span class="stringliteral">&quot;NivaCoDriverDoors&quot;</span> ) == <a class="code hl_enumeration" href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a>.DOORS_CLOSED )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                    <span class="keywordflow">if</span> ( !vehCmd &amp;&amp; !transport.CanReachSeatFromDoors(selections[i], player.GetPosition(), 1.0) )</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>                        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d7/db3/class_action_animate_seats.html#a0522b07befdb0045f7a1571c4242eec8">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/db3/class_action_animate_seats.html#a0522b07befdb0045f7a1571c4242eec8">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>};</div>
<div class="ttc" id="a_action_base_8c_html_ab560637b7ea002abf6ec19ec9ec6b3c9"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a></div><div class="ttdeci">protected bool IsInReach(PlayerBase player, ActionTarget target, float maxDistance=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00991">ActionBase.c:991</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_car_script_8c_html_a18cb065ee474426aa7bcbee02cdcd134"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#a18cb065ee474426aa7bcbee02cdcd134">CarDoorState</a></div><div class="ttdeci">CarDoorState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00001">CarScript.c:2</a></div></div>
<div class="ttc" id="aclass_action_animate_car_selection_html"><div class="ttname"><a href="../../de/d59/class_action_animate_car_selection.html">ActionAnimateCarSelection</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dfc/_action_animate_car_selection_8c_source.html#l00001">ActionAnimateCarSelection.c:2</a></div></div>
<div class="ttc" id="aclass_action_animate_car_selection_html_a9d4f0261e7081d9f18f5ccd5e305020b"><div class="ttname"><a href="../../de/d59/class_action_animate_car_selection.html#a9d4f0261e7081d9f18f5ccd5e305020b">ActionAnimateCarSelection::m_AnimSource</a></div><div class="ttdeci">string m_AnimSource</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dfc/_action_animate_car_selection_8c_source.html#l00003">ActionAnimateCarSelection.c:3</a></div></div>
<div class="ttc" id="aclass_action_animate_seats_html"><div class="ttname"><a href="../../d7/db3/class_action_animate_seats.html">ActionAnimateSeats</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d90/_action_animate_seats_8c_source.html#l00001">ActionAnimateSeats.c:2</a></div></div>
<div class="ttc" id="aclass_action_animate_seats_html_a0522b07befdb0045f7a1571c4242eec8"><div class="ttname"><a href="../../d7/db3/class_action_animate_seats.html#a0522b07befdb0045f7a1571c4242eec8">ActionAnimateSeats::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d90/_action_animate_seats_8c_source.html#l00067">ActionAnimateSeats.c:67</a></div></div>
<div class="ttc" id="aclass_action_animate_seats_html_adebb1cbf46b21d160f7bc6b2cd8281ef"><div class="ttname"><a href="../../d7/db3/class_action_animate_seats.html#adebb1cbf46b21d160f7bc6b2cd8281ef">ActionAnimateSeats::ActionAnimateSeats</a></div><div class="ttdeci">void ActionAnimateSeats()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d90/_action_animate_seats_8c_source.html#l00003">ActionAnimateSeats.c:3</a></div></div>
<div class="ttc" id="aclass_action_animate_seats_html_ae15fca61f3416608be716eb364ec90de"><div class="ttname"><a href="../../d7/db3/class_action_animate_seats.html#ae15fca61f3416608be716eb364ec90de">ActionAnimateSeats::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d90/_action_animate_seats_8c_source.html#l00008">ActionAnimateSeats.c:8</a></div></div>
<div class="ttc" id="aclass_car_script_html"><div class="ttname"><a href="../../de/d59/class_car_script.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00001">CivilianSedan.c:2</a></div></div>
<div class="ttc" id="aclass_car_script_html_a5733487848564efdc3e90a8f741514da"><div class="ttname"><a href="../../de/d59/class_car_script.html#a5733487848564efdc3e90a8f741514da">CarScript::GetCarDoorsState</a></div><div class="ttdeci">override int GetCarDoorsState(string slotType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00160">CivilianSedan.c:160</a></div></div>
<div class="ttc" id="aclass_car_script_html_a6bf22c124c476b773765763750a8b30f"><div class="ttname"><a href="../../de/d59/class_car_script.html#a6bf22c124c476b773765763750a8b30f">CarScript::GetAnimSourceFromSelection</a></div><div class="ttdeci">override string GetAnimSourceFromSelection(string selection)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d47/_civilian_sedan_8c_source.html#l00324">CivilianSedan.c:324</a></div></div>
<div class="ttc" id="aclass_entity_html"><div class="ttname"><a href="../../d2/d96/class_entity.html">Entity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcc/_camera_8c_source.html#l00001">Camera.c:2</a></div></div>
<div class="ttc" id="aclass_human_command_vehicle_html"><div class="ttname"><a href="../../d1/d1f/class_human_command_vehicle.html">HumanCommandVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00619">human.c:620</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_transport_html"><div class="ttname"><a href="../../d3/d36/class_transport.html">Transport</a></div><div class="ttdoc">Base native class for all motorized wheeled vehicles.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d06/_car_8c_source.html#l00059">Car.c:60</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../dir_14602dcc2d0a643325d2f7d3aff9a7f4.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dc/d90/_action_animate_seats_8c.html">ActionAnimateSeats.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
